Anonymous Login
2019-07-21 10:10 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001185Pending RequestsUser Adminpublic2016-12-26 10:25
Reporterjrgsampaio 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0001185: User Preferences --> Currency Format
DescriptionList shows only 12 instances of 1234567.89
There is no Currency Abbreviation (like AUD, USD GBO BRE, etc), no thousands separation symbol (. , " ")
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002655

svsta (reporter)

Yes, first them were 12, but suddenly appiared that the one of them now shows correctly 1 234 267.89 RUB. Just one string. I dont know when and why.

~0002672

caseydk (administrator)

I've been trying to resolve this one and I simply don't know enough about currency formats to fix this one.. I'm pushing this one to post-v3.0

~0002914

sasquatch58 (reporter)

This is dealt with in ../modules/system/adeditpref.php around line 200.
The default currency format is 1234567.89.
The 12 instances of the same format are because the default is used of the 12 languages supported.
A possible solution could be to hand code a table as is done for date and time format or get an additional format added to lang.php in the locales info. This format should define decilmal place type ("." or ","), thousands separation and currency type ($, Euro etc).
Simplest but restrictive form is to hard code, best would be to tie it to locale.
+Notes

-Issue History
Date Modified Username Field Change
2012-09-21 17:39 jrgsampaio New Issue
2012-09-21 17:39 jrgsampaio File Added: Screenshot from 2012-09-21 22:37:55.png
2012-09-27 03:41 svsta Note Added: 0002655
2012-10-21 22:47 caseydk Project v2.4 Release (Closed) => v3.0 Release
2012-10-21 22:54 caseydk Category -- none specified -- => Core Infrastructure
2012-10-21 22:54 caseydk Product Version 2.4 =>
2012-10-28 18:19 caseydk Note Added: 0002672
2012-10-28 18:19 caseydk Project v3.0 Release => Pending Requests
2013-06-01 15:46 sasquatch58 Note Added: 0002914
2014-04-05 17:36 caseydk Category General => User Admin
2014-05-21 02:11 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-06-10 22:49 caseydk Target Version => 4.0
2016-12-26 10:25 caseydk Project v4.0 Release (Planning) => Pending Requests
+Issue History